{ ... }: {
  virtualisation.oci-containers = {
    backend = "docker";
    containers = {
      watchtower = {
        autoStart = true;
        image = "docker.io/containrrr/watchtower:latest-dev";
        volumes = [
          "/var/run/docker.sock:/var/run/docker.sock"
          "/home/owo/.docker/config.json:/config.json"
        ];
        environment = {
          WATCHTOWER_NOTIFICATIONS = "shoutrrr";
          WATCHTOWER_WARN_ON_HEAD_FAILURE = "never";
        };
        environmentFiles = [
          # Contains WATCHTOWER_NOTIFICATION_URL
          "/etc/secrets/watchtower.env"
        ];
        cmd = [
          "--interval=60"
        ];
      };
    };
  };
}
