{
  inputs = {
    nixpkgs.url = "github:Nixos/nixpkgs/nixos-unstable";
    nix-minecraft-plugin-upgrade.url = "github:BatteredBunny/nix-minecraft-plugin-upgrade";
    nix-minecraft.url = "github:Infinidoge/nix-minecraft";

    common-modules = {
      url = "git+https://forge.catnip.ee/batteredbunny/common.nix";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    drasl = {
      url = "github:unmojang/drasl";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    confess = {
      url = "git+ssh://forgejo@forge.catnip.ee:2222/batteredbunny/confess";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    lastfm-status = {
      url = "github:BatteredBunny/lastfm-status";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    youtuee = {
      url = "git+ssh://forgejo@forge.catnip.ee:2222/batteredbunny/youtuee";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    # Websites
    catnip-website = {
      url = "git+ssh://forgejo@forge.catnip.ee:2222/batteredbunny/catnip.ee";
      flake = false;
    };

    bsky-website = {
      url = "git+ssh://forgejo@forge.catnip.ee:2222/batteredbunny/bsky.ee";
      flake = false;
    };

    kaya-website = {
      url = "git+ssh://forgejo@forge.catnip.ee:2222/batteredbunny/kaya.ee";
      flake = false;
    };
  };

  outputs =
    { self
    , nixpkgs
    , ...
    } @ inputs: {
      nixosConfigurations.server = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = {
          inherit inputs self;
          settings = import ./settings.nix { };
        };
        modules = [ ./configuration.nix ];
      };
    };
}
