{ config, pkgs, ... }:
{
  services.cross-seed = {
    enable = true;

    settingsFile = "/etc/secrets/cross-seed.json";

    settings = {
      torrentDir = "/var/lib/qBittorrent/qBittorrent/data/BT_backup";
      excludeOlder = "2 weeks";
      excludeRecentSearch = "3 days";
      action = "inject";
      duplicateCategories = true;
      rssCadence = "30 minutes";
      searchCadence = "1 day";
      snatchTimeout = "2 minutes";
      searchTimeout = "2 minutes";
      searchLimit = 100;
    };
  };

  # Needed for running cross-seed's hook
  # /bin/sh -c "curl -XPOST http://localhost:2468/api/webhook?apikey=key --data-urlencode 'infoHash=%I'"
  systemd.services.qbittorrent-nox.path = with pkgs; [
    curl
  ];

  users.users."cross-seed".extraGroups = [
    config.services.qbittorrent-nox.group
  ];
}
