{ ... }:
let
  port = 9180;
in
{
  virtualisation.oci-containers.containers.feishin = {
    autoStart = true;
    image = "ghcr.io/jeffvli/feishin:latest";
    environment = {
      SERVER_NAME = "jellyfin";
      SERVER_LOCK = "true";
      SERVER_TYPE = "jellyfin";
      SERVER_URL = "https://jellyfin.catnip.ee";

      PUID = "1000";
      PGID = "1000";
      UMASK = "002";
      TZ = "Europe/Tallinn";
    };
    ports = [
      "${toString port}:9180"
    ];
  };

  services.caddy.virtualHosts."player.catnip.ee".extraConfig = ''
    tls {
      dns cloudflare {env.CLOUDFLARE_API_TOKEN}
      resolvers 1.1.1.1
    }

    reverse_proxy :${toString port}
  '';
}
