{ config, ... }: {
  services = {
    gonic = {
      enable = true;
      settings = {
        music-path = "/mnt/media/music";
        podcast-path = "/mnt/seagate-8tb-2/media/podcasts";
        cache-path = "/var/cache/gonic";
        listen-addr = "0.0.0.0:4747";
        db-path = "/var/lib/gonic/db";
        playlists-path = "/mnt/media/playlists";
        scan-watcher-enabled = true;
      };
    };

    caddy.virtualHosts."gonic.catnip.ee".extraConfig = ''
      tls {
        dns cloudflare {env.CLOUDFLARE_API_TOKEN}
        resolvers 1.1.1.1
      }

      reverse_proxy ${toString config.services.gonic.settings.listen-addr}
    '';

    borgbackup.jobs."borgbase".paths = [
      "/var/lib/gonic"
    ];
  };
}
