{ config, ... }: {
  services = {
    komga = {
      enable = true;

      settings = {
        server.port = 8543;
      };
    };

    caddy.virtualHosts."komga.catnip.ee".extraConfig = ''
      tls {
        dns cloudflare {env.CLOUDFLARE_API_TOKEN}
        resolvers 1.1.1.1
      }

      reverse_proxy :${toString config.services.komga.settings.server.port}
    '';

    borgbackup.jobs."borgbase".paths = [
      config.services.komga.stateDir
    ];
  };
}
