{ config, inputs, ... }: {
  imports = [
    inputs.lastfm-status.nixosModules.default
  ];

  services = {
    lastfm-status = {
      enable = true;
      port = 4014;
    };

    caddy.virtualHosts."lastfm.catnip.ee".extraConfig = ''
      tls {
        dns cloudflare {env.CLOUDFLARE_API_TOKEN}
        resolvers 1.1.1.1
      }

      reverse_proxy :${toString config.services.lastfm-status.port}
    '';
  };
}
