{ pkgs, ... }:
let
  elementClient = pkgs.element-web.override {
    conf = {
      default_server_config.default_server_name = "catnip.ee";
      element_call.use_exclusively = true;

      features = {
        feature_video_rooms = true;
        feature_element_call_video_rooms = true;
      };
    };
  };

  synapse-admin = pkgs.synapse-admin.override {
    baseUrl = "https://matrix.catnip.ee";
  };
in
{
  services.caddy.virtualHosts = {
    "chat.catnip.ee".extraConfig = ''
      tls {
        dns cloudflare {env.CLOUDFLARE_API_TOKEN}
        resolvers 1.1.1.1
      }

      root * ${elementClient}
      file_server
    '';
    "synapse-admin.catnip.ee".extraConfig = ''
      tls {
        dns cloudflare {env.CLOUDFLARE_API_TOKEN}
        resolvers 1.1.1.1
      }

      root * ${synapse-admin}
      file_server
    '';
  };
}
