{ settings, ... }: {
  services = {
    # /var/lib/plex
    plex = {
      enable = true;
      openFirewall = true; # 32400
    };

    borgbackup.jobs."borgbase" = {
      paths = [
        "/var/lib/plex"
        "/home/owo/Documents/server_configs/plextraktsync"
      ];

      exclude = [
        "/var/lib/plex/transcode"
        "/var/lib/plex/Plex Media Server/Media"
      ];
    };
  };

  virtualisation.oci-containers.containers.plextraktsync = {
    autoStart = true;
    image = "ghcr.io/taxel/plextraktsync";
    cmd = [ "watch" ];
    environment = {
      PUID = "1000";
      PGID = "1000";
      TZ = "Europe/Tallinn";
    };
    volumes = [
      "${settings.server_configs_home}/plextraktsync:/app/config"
    ];
  };
}
