{ config, inputs, ... }: {
  imports = [
    inputs.common-modules.nixosModules.qbittorrent-nox
  ];

  services = {
    qbittorrent-nox = {
      enable = true;
      openFirewall = true;
      webuiPort = 4010;
      torrentingPort = 43125;

      serverConfig = {
        LegalNotice.Accepted = true;

        BitTorrent = {
          "Session\\BTProtocol" = "TCP";
          "Session\\DHTEnabled" = false;
          "Session\\LSDEnabled" = false;
          "Session\\PeXEnabled" = false;
          "Session\\QueueingSystemEnabled" = false;
          "Session\\DefaultSavePath" = "/mnt/drive2/torrents";
        };

        Preferences = {
          "WebUI\\LocalHostAuth" = false;
          "WebUI\\Password_PBKDF2" = "@ByteArray(4n2Q3z0BsjZyM/EZK0FBBg==:SWNw7w9ylDLtZHHWAZwwkwkYO6rU7qBi9WP8BULkmm+O0J8yW6icctKEy10TcnnAUAvFuSqzJENWW0q/CcGe1g==)";
        };
      };
    };

    caddy.virtualHosts."http://qbittorrent.internal".extraConfig = ''
      @local remote_ip private_ranges 100.64.0.0/10
      reverse_proxy @local :${toString config.services.qbittorrent-nox.webuiPort}
    '';

    borgbackup.jobs."borgbase".paths = [
      config.services.qbittorrent-nox.profileDir
    ];
  };
}
