{ config, ... }: {
  services = {
    scrutiny = {
      enable = true;
      collector.enable = true;
      settings.web.listen.port = 4012;
    };

    caddy.virtualHosts."http://scrutiny.internal".extraConfig = ''
      @local remote_ip private_ranges 100.64.0.0/10
      reverse_proxy @local :${toString config.services.scrutiny.settings.web.listen.port}
    '';

    borgbackup.jobs."borgbase".paths = [
      "/var/lib/private/scrutiny"
      "/var/lib/influxdb2"
    ];
  };
}
