{ inputs, ... }: {
  imports = [
    inputs.common-modules.nixosModules.unpackerr
  ];

  services.unpackerr = {
    enable = true;

    # Stores UN_SONARR_0_API_KEY, UN_RADARR_0_API_KEY
    environmentFile = "/etc/secrets/unpackerr.env";
    user = "owo";
    group = "users";

    settings = {
      debug = false;
      quiet = false;

      # How often to poll sonarr and radarr.
      # Recommend 1m-5m. Uses Go Duration.
      interval = "2m";

      start_delay = "1m";
      retry_delay = "5m";

      parallel = 1;

      # Use these configurations to control the file modes used for newly extracted
      # files and folders. Recommend 0644/0755 or 0666/0777.
      file_mode = "0644";
      dir_mode = "0755";

      sonarr = [
        {
          url = "http://localhost:8989";
          paths = [ "/mnt/drive1/torrents/downloads" "/mnt/drive2/torrents" "/mnt/seagate-8tb-1/torrents" "/mnt/seagate-8tb-2/torrents" ];
          protocols = "torrent";
          timeout = "100s";
          delete_delay = "10m";
        }
      ];

      radarr = [
        {
          url = "http://localhost:7878";
          paths = [ "/mnt/drive1/torrents/downloads" "/mnt/drive2/torrents" "/mnt/seagate-8tb-1/torrents" "/mnt/seagate-8tb-2/torrents" ];
          protocols = "torrent";
          timeout = "100s";
          delete_delay = "10m";
        }
      ];
    };
  };
}
