{ config, ... }: {
  services = {
    caddy.virtualHosts."waka.catnip.ee".extraConfig = ''
      tls {
        dns cloudflare {env.CLOUDFLARE_API_TOKEN}
        resolvers 1.1.1.1
      }

      reverse_proxy :${toString config.services.wakapi.settings.server.port}
    '';

    wakapi = {
      enable = true;
      passwordSaltFile = "/etc/secrets/wakaPasswordSalt";
      smtpPasswordFile = "/etc/secrets/wakaSmtpPassword";

      database.createLocally = true;
      settings = {
        db = {
          dialect = "postgres";
          host = "/run/postgresql";
          port = 5432;
          name = "wakapi"; # db name
          user = "wakapi";
        };
        server = {
          public_url = "https://waka.catnip.ee";
          port = 3000;
        };
        mail = {
          sender = "Wakapi <wakapi@catnip.ee>";
          smtp = {
            host = "mx1.sly.ee";
            port = 465;
            username = "wakapi@catnip.ee";
            tls = true;
          };
        };
        security.allow_signup = false;
      };
    };
  };
}
