{ config, inputs, ... }: {
  imports = [
    inputs.youtuee.nixosModules.default
  ];

  services = {
    youtuee = {
      enable = true;

      settings = {
        behindReverseProxy = true;
        port = 8181;
      };
    };

    caddy.virtualHosts."youtu.ee".extraConfig = ''
      tls {
        dns cloudflare {env.CLOUDFLARE_API_TOKEN}
        resolvers 1.1.1.1
      }

      reverse_proxy :${toString config.services.youtuee.settings.port}
    '';
  };
}
