#!/usr/bin/env bash
if [[ -z "$DRIVE" ]]; then
    echo Please fill out DRIVE variable
    exit 1
fi

# Gonic
echo Creating $DRIVE/playlists & $DRIVE/podcasts
mkdir -p $DRIVE/playlists
mkdir -p $DRIVE/podcasts
sudo setfacl -m u:gonic:rx $DRIVE
sudo setfacl -m u:gonic:rx $DRIVE/media
sudo setfacl -m u:gonic:rwx $DRIVE/media/playlists
sudo setfacl -m u:gonic:rwx $DRIVE/media/podcasts

# Komga
echo Creating $DRIVE/comics
mkdir -p $DRIVE/comics
sudo setfacl -m u:komga:rx $DRIVE
sudo setfacl -m u:komga:rwx $DRIVE/comics

# Radarr
echo Creating $DRIVE/media/movies
mkdir -p $DRIVE/media/movies
sudo setfacl -m u:radarr:rx $DRIVE
sudo setfacl -m u:radarr:rx $DRIVE/media
sudo setfacl -m u:radarr:rwx $DRIVE/media/movies
sudo setfacl -m u:radarr:rwx -R $DRIVE/media/movies

# Sonarr
echo Creating $DRIVE/media/tv
mkdir -p $DRIVE/media/tv
sudo setfacl -m u:sonarr:rx $DRIVE
sudo setfacl -m u:sonarr:rx $DRIVE/media
sudo setfacl -m u:sonarr:rwx $DRIVE/media/tv
sudo setfacl -m u:sonarr:rwx -R $DRIVE/media/tv

# Bazarr
sudo setfacl -m u:bazarr:rx $DRIVE
sudo setfacl -m u:bazarr:rx $DRIVE/media
sudo setfacl -m u:bazarr:rwx $DRIVE/media/movies
sudo setfacl -m u:bazarr:rwx -R $DRIVE/media/movies
sudo setfacl -m u:bazarr:rwx $DRIVE/media/tv
sudo setfacl -m u:bazarr:rwx -R $DRIVE/media/tv

echo Creating $DRIVE/media/music
mkdir -p $DRIVE/media/music
sudo setfacl -m u:lidarr:rx $DRIVE
sudo setfacl -m u:lidarr:rx $DRIVE/media
sudo setfacl -m u:lidarr:rwx $DRIVE/media/music
sudo setfacl -m u:lidarr:rwx -R $DRIVE/media/music

# Qbittorrent
sudo setfacl -m u:qbittorrent:rx $DRIVE

echo Creating $DRIVE/torrents
mkdir -p $DRIVE/torrents
sudo setfacl -m u:radarr:rx $DRIVE/torrents
sudo setfacl -m u:sonarr:rx $DRIVE/torrents
sudo setfacl -m u:lidarr:rx $DRIVE/torrents
sudo setfacl -m u:qbittorrent:rwx $DRIVE/torrents

# Readers
sudo setfacl -m u:caddy:rx $DRIVE
sudo setfacl -m u:caddy:rx $DRIVE/media
sudo setfacl -m u:caddy:rx -R $DRIVE/media

sudo setfacl -m u:jellyfin:rx $DRIVE
sudo setfacl -m u:jellyfin:rx $DRIVE/media
sudo setfacl -m u:jellyfin:rx -R $DRIVE/media

sudo setfacl -m u:plex:rx $DRIVE
sudo setfacl -m u:plex:rx $DRIVE/media
sudo setfacl -m u:plex:rx -R $DRIVE/media